# Pay with mobile money

The endpoint {{redstone-api}}/v1/payment/pay/:payment\_reference is a POST request that initiates a mobile money payment. The request body should be in raw format and include the following parameters:

<mark style="color:green;">POST</mark> /v1/payment/pay/:payment\_reference

#### Params

| Name               | Type   | Description                                                        |
| ------------------ | ------ | ------------------------------------------------------------------ |
| payment\_reference | String | The payment reference that was generated when initializing payment |

#### Headers

| Name       | Type   | Description               |
| ---------- | ------ | ------------------------- |
| secret-key | string | Your Redstone  secret key |
| public-key | String | Your Redstone  public key |

#### Request body

* amount (number): The amount of the payment.
* email (string): The email address of the customer.
* customer\_first\_name (string): The first name of the customer.
* customer\_last\_name  (string): The last name of the customer.
* account\_number (string): The customer's account number.
* phone\_number (string): The phone number of the customer.
* method (string): The payment method, in this case "mobilemoney".

#### Request

For example, you can make a post request to the endpoint above and pass in the **raw json data** below to  pay with mobile money

```
{
    "amount":6,
    "email":"",
    "customer_first_name":"segun",
    "customer_last_name":"ige",
    "account_number":"****",
    "phone_number":"***",
    "method":"mobilemoney"
}
```

#### Response

```
{
    "status": "success",
    "code": 200,
    "message": "payment sent for processing",
    "data": {
        "message": "payment sent for processing",
        "device_storage_token": null,
        "method": "mobilemoney",
        "payment_status": "pending",
        "operator": "Airtel"
    }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.redstonepgs.com/api-documentation/payments/pay-with-mobile-money.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
